GEANY(1)

NAME
Geany — a small and lightweight IDE

SYNOPSIS

geany [option] [files ...]

DESCRIPTION

Geany is a small and fast editor with basic features of an integrated development environment.

Some of its features: syntax highlighting, code completion, code folding, symbol/tag lists and many supported filetypes like C(++), Java, PHP, HTML, DocBook, Perl and more.

Homepage: http://geany.uvena.de Set initial line number for the first opened file

OPTIONS

-c           --config
    Use an alternate configuration directory. Default configuration directory is ~/.geany/ and there resides geany.conf and some template files.

-d           --debug
    Runs Geany in debug mode, which means being verbose and printing lots of information.

-i           --new-instance
    Don't open files in a running instance, force opening a new instance. Only available if Geany was compiled with support for Sockets.

-l           --line
    Set initial line number for the first opened file.

-m           --no-msgwin
    Don't show the message window. Use this option if you don't need compiler messages or VTE support.

-n           --no-ctags
    Don't load auto completion and call tip data. Use this option, if you don't want to use them. For more information please see documentation.

-s           --no-session
    Don't load the previous session's files

-t           --no-terminal
    Don't load terminal support. Use this option, if you don't want to load the virtual terminal emulator widget at startup. If you don't have libvte.so.4 installed, then terminal-support is automatically disabled. Only available if Geany was compiled with support for VTE.

--vte-lib
    Specify explicitly the path including filename or only the filename to the VTE library, e.g. /usr/lib/libvte.so or libvte.so. This option is only needed, when the autodetection doesn't work. Only available if Geany was compiled with support for VTE.

-v           --version
    Show version information and exit.

-?           --help
    Show help information and exit.

Geany supports all generic GTK options, a list is available on the help screen.

AUTHOR

This manual page was written by Enrico Tröger <enrico.troeger@uvena.de>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

The complete text of the GNU General Public License can be found in /usr/local/share/geany/GPL-2.